#include "MilitaryBuilding.h"
#include "PlayerGame.h"

namespace mechanics {
	void MilitaryBuilding::Killed(Attacker *attacker, BaseWeapon *weapon) {
		Attackable::Killed(attacker, weapon);
		PlayerGame::current().destroyMilitaryBuilding(*this);

		removeFromMap();
	}
}
